SVNKit Home

## org.tmatesoft.svn.core.io
Interface ISVNReporterBaton

public interface ISVNReporterBaton

The ISVNReporterBaton interface should be implemented by callers of update, checkout, etc. operations of SVNRepository drivers in order to describe the state of local items.

For more information on using reporters, please, read these on-line article: Using ISVNReporter/ISVNEditor in update-related operations

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `ISVNReporter`, `SVNRepository`, Examples

Method Summary
`void` `report(ISVNReporter reporter)` Makes a report describing the state of local items in order to get the differences between the local items and what actually is in a repository.

Method Detail

### report

    public void report(ISVNReporter reporter)
                throws SVNException

  Makes a report describing the state of local items in order to get the differences between the local items and what actually is in a repository.

  Parameters:
    `reporter` - a reporter passed to make reports
  Throws:
    `SVNException`

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.